From 1b0ebef14ff3f774c62cb0ffdf15f5e464517d03 Mon Sep 17 00:00:00 2001
From: Kenneth Wimer <kwwii@sinecera.de>
Date: Fri, 24 Jan 2014 15:22:07 +0100
Subject: [PATCH 1/9] [SUSE] Integrated SUSE branding

---
 .../app/assets/stylesheets/branding.css.scss       | 13 +++++++++
 .../app/assets/stylesheets/variables.css.scss      | 32 ++++++++++++----------
 .../app/views/layouts/application.html.haml        |  2 ++
 crowbar_framework/public/404.html                  | 16 +++++++----
 crowbar_framework/public/422.html                  | 15 ++++++----
 crowbar_framework/public/500.html                  | 14 ++++++----
 6 files changed, 60 insertions(+), 32 deletions(-)

diff --git a/crowbar_framework/app/assets/stylesheets/branding.css.scss b/crowbar_framework/app/assets/stylesheets/branding.css.scss
index e69de29..063a4e2 100644
--- a/crowbar_framework/app/assets/stylesheets/branding.css.scss
+++ b/crowbar_framework/app/assets/stylesheets/branding.css.scss
@@ -0,0 +1,13 @@
+.navbar-inverse {
+  .navbar-brand {
+    padding: 7px 10px;
+
+    .title {
+      display: block;
+      text-indent: -100000px;
+      background: transparent image-url('suse/crowbar.png') no-repeat;
+      width: 160px;
+      height: 35px;
+    }
+  }
+}
diff --git a/crowbar_framework/app/assets/stylesheets/variables.css.scss b/crowbar_framework/app/assets/stylesheets/variables.css.scss
index 6199d25..b8fc7a6 100644
--- a/crowbar_framework/app/assets/stylesheets/variables.css.scss
+++ b/crowbar_framework/app/assets/stylesheets/variables.css.scss
@@ -5,11 +5,13 @@ $gray-dark: lighten(#000, 20%);
 $gray: lighten(#000, 33.5%);
 $gray-light: lighten(#000, 60%);
 $gray-lighter: lighten(#000, 93.5%);
-
+$suse-gray: #3a3e40;
+$suse-green: #439539;
+$suse-light-green: #7ac142;
 
 // Brand colors
 // -------------------------
-$brand-primary: #428bca;
+$brand-primary: $suse-green;
 $brand-success: #5cb85c;
 $brand-warning: #f0ad4e;
 $brand-danger: #d9534f;
@@ -18,7 +20,7 @@ $brand-info: #5bc0de;
 
 // Scaffolding
 // -------------------------
-$body-bg: #fff;
+$body-bg: #f5f5f5;
 $text-color: $gray-dark;
 
 
@@ -156,17 +158,17 @@ $input-group-addon-border-color: $input-border;
 
 // Dropdowns
 // -------------------------
-$dropdown-bg: #fff;
-$dropdown-border: rgba(0,0,0,.15);
-$dropdown-fallback-border: #ccc;
+$dropdown-bg: #25282a;
+$dropdown-border: rgba(0,0,0,.2);
+$dropdown-fallback-border: #25282a;
 $dropdown-divider-bg: #e5e5e5;
 
-$dropdown-link-color: $gray-dark;
-$dropdown-link-hover-color: darken($gray-dark, 5%);
-$dropdown-link-hover-bg: #f5f5f5;
+$dropdown-link-color: #bebebe;
+$dropdown-link-hover-color: $suse-light-green;
+$dropdown-link-hover-bg: #2e3235;
 
-$dropdown-link-active-color: $component-active-color;
-$dropdown-link-active-bg: $component-active-bg;
+$dropdown-link-active-color: #fff;
+$dropdown-link-active-bg: #25282a;
 
 $dropdown-link-disabled-color: $gray-light;
 
@@ -245,14 +247,14 @@ $navbar-default-toggle-border-color: #ddd;
 // Inverted navbar
 // -------------------------
 $navbar-inverse-color: $gray-light;
-$navbar-inverse-bg: #222;
+$navbar-inverse-bg: $suse-gray;
 $navbar-inverse-border: darken($navbar-inverse-bg, 10%);
 
-$navbar-inverse-link-color: $gray-light;
+$navbar-inverse-link-color: #fff;
 $navbar-inverse-link-hover-color: #fff;
 $navbar-inverse-link-hover-bg: transparent;
-$navbar-inverse-link-active-color: $navbar-inverse-link-hover-color;
-$navbar-inverse-link-active-bg: darken($navbar-inverse-bg, 10%);
+$navbar-inverse-link-active-color: $suse-light-green;
+$navbar-inverse-link-active-bg: $suse-gray;
 $navbar-inverse-link-disabled-color: #444;
 $navbar-inverse-link-disabled-bg: transparent;
 
diff --git a/crowbar_framework/app/views/layouts/application.html.haml b/crowbar_framework/app/views/layouts/application.html.haml
index 9bcf1a2..0593d94 100644
--- a/crowbar_framework/app/views/layouts/application.html.haml
+++ b/crowbar_framework/app/views/layouts/application.html.haml
@@ -20,6 +20,8 @@
       = stylesheet_link_tag "ie"
       = javascript_include_tag "ie"
 
+    %link{ :href => image_path("suse/favicon.ico"), :rel => "shortcut icon" }
+  
   %body{ :class => params[:controller] }
     = render :partial => "shared/header"
 
diff --git a/crowbar_framework/public/404.html b/crowbar_framework/public/404.html
index 1a64180..e75b4cf 100644
--- a/crowbar_framework/public/404.html
+++ b/crowbar_framework/public/404.html
@@ -2,13 +2,14 @@
 <html lang="en">
   <head>
     <title>
-      Crowbar: 404 Error
+      SUSE Cloud Crowbar: 404 Error
     </title>
 
     <meta charset="utf-8" />
     <meta content="width=device-width, initial-scale=1.0" name="viewport" />
     <meta content="IE=edge" http-equiv="X-UA-Compatible" />
 
+    <link rel="shortcut icon" href="/assets/suse/favicon.ico" />
     <link rel="stylesheet" href="/assets/application.css" />
     <script src="/assets/application.js"></script>
 
@@ -30,7 +31,7 @@
             <span class="icon-bar"></span>
           </button>
           <a href="/" class="navbar-brand">
-            <span class="title">Crowbar</span>
+            <span class="title">SUSE Cloud Crowbar</span>
           </a>
         </div>
         <div class="collapse navbar-collapse navbar-right">
@@ -51,16 +52,19 @@
         </div>
         <div class="panel-body">
           <p>
-            Please double check the URL you're trying to reach or consult your <a href="/utils">log files</a>. If this is
-            an application error, please visit the <a href="http://github.com/crowbar/crowbar/wiki/error">Crowbar site</a>
-            for more information or to submit a bug report. Return to the <a href="/">dashboard</a>.
+            Please double check the URL you're trying to reach or consult your <a href="/utils">log files</a>. If this is an application
+            error, we encourage you to visit the <a href="http://www.suse.com/support/">SUSE support site</a> for more information. Return
+            to the <a href="/">dashboard</a>.
           </p>
         </div>
       </div>
 
       <footer>
         <span>
-          Provided by <a href="http://dell.com/cloud" target="_blank"><img src="/assets/dell/dell.png" alt="Dell, Inc." /> CloudEdge Solutions team</a>
+          <a href="https://www.suse.com/products/suse-cloud/" target="_blank" />SUSE Cloud</a>
+        </span>
+        <span>
+          Provided by <a href="https://www.suse.com" target="_blank">SUSE</a>
         </span>
       </footer>
     </div>
diff --git a/crowbar_framework/public/422.html b/crowbar_framework/public/422.html
index 777e041..7c79731 100644
--- a/crowbar_framework/public/422.html
+++ b/crowbar_framework/public/422.html
@@ -2,13 +2,14 @@
 <html lang="en">
   <head>
     <title>
-      Crowbar: 422 Error
+      SUSE Cloud Crowbar: 422 Error
     </title>
 
     <meta charset="utf-8" />
     <meta content="width=device-width, initial-scale=1.0" name="viewport" />
     <meta content="IE=edge" http-equiv="X-UA-Compatible" />
 
+    <link rel="shortcut icon" href="/assets/suse/favicon.ico" />
     <link rel="stylesheet" href="/assets/application.css" />
     <script src="/assets/application.js"></script>
 
@@ -30,7 +31,7 @@
             <span class="icon-bar"></span>
           </button>
           <a href="/" class="navbar-brand">
-            <span class="title">Crowbar</span>
+            <span class="title">SUSE Cloud Crowbar</span>
           </a>
         </div>
         <div class="collapse navbar-collapse navbar-right">
@@ -51,16 +52,18 @@
         </div>
         <div class="panel-body">
           <p>
-            Maybe you tried to change something you didn't have access to. If this is an application error, please visit the
-            <a href="http://github.com/crowbar/crowbar/wiki/error">Crowbar site</a> for more information or to submit a bug
-            report. Return to the <a href="/">dashboard</a>.
+            Maybe you tried to change something you didn't have access to. If this is an application error, we encourage you to visit
+            the <a href="http://www.suse.com/support/">SUSE support site</a> for more information. Return to the <a href="/">dashboard</a>.
           </p>
         </div>
       </div>
 
       <footer>
         <span>
-          Provided by <a href="http://dell.com/cloud" target="_blank"><img src="/assets/dell/dell.png" alt="Dell, Inc." /> CloudEdge Solutions team</a>
+          <a href="https://www.suse.com/products/suse-cloud/" target="_blank" />SUSE Cloud</a>
+        </span>
+        <span>
+          Provided by <a href="https://www.suse.com" target="_blank">SUSE</a>
         </span>
       </footer>
     </div>
diff --git a/crowbar_framework/public/500.html b/crowbar_framework/public/500.html
index e6f49d1..66308e6 100644
--- a/crowbar_framework/public/500.html
+++ b/crowbar_framework/public/500.html
@@ -2,13 +2,14 @@
 <html lang="en">
   <head>
     <title>
-      Crowbar: 500 Error
+      SUSE Cloud Crowbar: 500 Error
     </title>
 
     <meta charset="utf-8" />
     <meta content="width=device-width, initial-scale=1.0" name="viewport" />
     <meta content="IE=edge" http-equiv="X-UA-Compatible" />
 
+    <link rel="shortcut icon" href="/assets/suse/favicon.ico" />
     <link rel="stylesheet" href="/assets/application.css" />
     <script src="/assets/application.js"></script>
 
@@ -30,7 +31,7 @@
             <span class="icon-bar"></span>
           </button>
           <a href="/" class="navbar-brand">
-            <span class="title">Crowbar</span>
+            <span class="title">SUSE Cloud Crowbar</span>
           </a>
         </div>
         <div class="collapse navbar-collapse navbar-right">
@@ -52,15 +53,18 @@
         <div class="panel-body">
           <p>
             Please consult your <a href="/utils">log files</a> or double check the URL you're trying to reach. If this is an
-            application error, please visit the <a href="http://github.com/crowbar/crowbar/wiki/error">Crowbar site</a> for
-            more information or to submit a bug report. Return to the <a href="/">dashboard</a>.
+            application error, we encourage you to visit the <a href="http://www.suse.com/support/">SUSE support site</a> for
+            more information. Return to the <a href="/">dashboard</a>.
           </p>
         </div>
       </div>
 
       <footer>
         <span>
-          Provided by <a href="http://dell.com/cloud" target="_blank"><img src="/assets/dell/dell.png" alt="Dell, Inc." /> CloudEdge Solutions team</a>
+          <a href="https://www.suse.com/products/suse-cloud/" target="_blank" />SUSE Cloud</a>
+        </span>
+        <span>
+          Provided by <a href="https://www.suse.com" target="_blank">SUSE</a>
         </span>
       </footer>
     </div>
-- 
2.3.5


From 45bf79121160dd841bec13b69ae816cc59afa0e2 Mon Sep 17 00:00:00 2001
From: Thomas Boerger <tboerger@suse.de>
Date: Wed, 19 Nov 2014 14:23:12 +0100
Subject: [PATCH 2/9] [SUSE] Updated branding configuration

---
 crowbar_framework/config/branding.yml | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/crowbar_framework/config/branding.yml b/crowbar_framework/config/branding.yml
index 1c5825b..78e01b5 100644
--- a/crowbar_framework/config/branding.yml
+++ b/crowbar_framework/config/branding.yml
@@ -17,7 +17,7 @@
 
 # The main page title that gets displayed on all pages on the top bar and within
 # the meta information.
-page_title: 'Crowbar'
+page_title: 'SUSE Cloud Crowbar'
 
 # The page slogan is an optional value. If you don't define it nothings gets
 # printed out. If you define it, it gets printed as a suffix for the page title.
@@ -27,8 +27,8 @@ page_slogan: ''
 # SUSE Cloud for example should write something like SUSE Cloud v2.0, whereas
 # Crowbar on Dell side writes Version 0.0.1. The variable CROWBAR_VERSION gets
 # replaced by the environment value.
-version: 'Version CROWBAR_VERSION'
+version: '<a href="https://www.suse.com/products/suse-cloud/" target="_new">SUSE Cloud</a>'
 
 # The provider will get displayed on the footer of crowbar to show who provides
 # this nice project ;-)
-provider: '<a href="http://dell.com/cloud" target="_blank"><img src="/assets/dell/dell.png" alt="Dell, Inc." /> CloudEdge Solutions team</a>'
+provider: '<a href="http://www.suse.com" target="_new">SUSE</a>'
-- 
2.3.5


From 83148953d1baaeed2db6efab36db0c24ba49b353 Mon Sep 17 00:00:00 2001
From: Vincent Untz <vuntz@suse.com>
Date: Mon, 16 Dec 2013 11:01:41 +0100
Subject: [PATCH 3/9] [SUSE] Replaced the upstream documentation

---
 crowbar.yml                                        |  13 --
 .../app/controllers/docs_controller.rb             | 177 +--------------------
 crowbar_framework/app/views/docs/_tree.html.haml   |   7 -
 crowbar_framework/app/views/docs/index.html.haml   |  29 +++-
 crowbar_framework/app/views/docs/show.html.haml    |  29 ----
 crowbar_framework/config/locales/crowbar/en.yml    |  24 +--
 6 files changed, 35 insertions(+), 244 deletions(-)
 delete mode 100644 crowbar_framework/app/views/docs/_tree.html.haml
 delete mode 100644 crowbar_framework/app/views/docs/show.html.haml

diff --git a/crowbar.yml b/crowbar.yml
index 8e4f9cd..018eeef 100644
--- a/crowbar.yml
+++ b/crowbar.yml
@@ -76,16 +76,3 @@ nav:
   help:
     order: 80
     route: 'docs_path'
-    docs:
-      order: 10
-      route: 'docs_path'
-    crowbar_users:
-      order: 20
-      path: '/docs/crowbar_users_guide.pdf'
-      params:
-        target: '_blank'
-    wiki:
-      order: 90
-      url: 'https://github.com/crowbar/crowbar/wiki'
-      params:
-        target: '_blank'
diff --git a/crowbar_framework/app/controllers/docs_controller.rb b/crowbar_framework/app/controllers/docs_controller.rb
index 4c526c2..179e520 100644
--- a/crowbar_framework/app/controllers/docs_controller.rb
+++ b/crowbar_framework/app/controllers/docs_controller.rb
@@ -16,182 +16,9 @@
 #
 
 class DocsController < ApplicationController
-  before_filter :generate_books
-
   def index
-    @index = YAML.load_file(
-      docs_index
-    )
-  end
-
-  def show
-    @index = YAML.load_file(
-      docs_index
-    )
-
-    @topic = @index
-
-    params[:id].split("/").each do |segment|
-      @parent = @topic
-      @topic = @topic["topics"][segment]
-    end
-
-    if @topic["file"]
-      @markdown = false
-
-      # @topic["file"] = Rails.root.join(@topic["file"])
-
-      # @markdown = Documentation::Generator.render(
-      #   @topic["file"].readlines.join,
-      # )
-
-      # @topic.deep_merge! @markdown.metadata
-    else
-      @markdown = false
-    end
-  rescue
-    flash[:alert] = I18n.t("docs.show.topic_missing")
-    redirect_to docs_url
-  end
-  
-  protected
-  
-  def docs_index
-    Rails.root.join(
-      "config",
-      "docs.yml"
-    )
-  end
-
-  def docs_path
-    Rails.root.join(
-      "doc"
-    )
-  end
-
-  def generate_books
-    return if docs_index.file? and not Rails.env.development?
-
-    @books = {}.tap do |books|
-      meta_root = {
-        "author" => "Multiple authors",
-        "license" => "Apache 2",
-        "copyright" => "#{Date.today.strftime("%Y")} by Dell, Inc",
-        "date" => I18n.t("unknown"),
-        "order" => "alpha",
-        "url" => "/",
-        "format" => "markdown"
-      }
-
-      crowbar_path = docs_path.join("crowbar.yml")
-
-      templates = [
-        docs_path.children.delete(crowbar_path),
-        docs_path.children
-      ].flatten.compact
-
-      templates.each do |book|
-        next unless book.extname == ".yml"
-
-        begin
-          content = YAML.load_file(
-            book
-          )
-        rescue
-          next
-        end
-        
-        next if content["root"].nil?
-
-        topic = content["root"]
-        meta_data = meta_root.deep_merge topic["topic_meta_data"]
-        barclamp = book.basename(".yml").to_s.gsub("-", "_")
-        children = topic.reject { |k, v| k == "topic_meta_data" }
-
-        generate_topics books, meta_data, barclamp, [], children
-      end
-    end
-
-    File.open(docs_index, "w") do |output|
-      YAML.dump(@books, output)
-    end
-  end
-
-  def generate_topics(books, meta_data, barclamp, parent, topics)
-    return if topics.nil?
-
-    topics.each do |id, details|
-      next if id == "topic_meta_data"
-
-      topic_meta_data = if details["topic_meta_data"].is_a? Hash
-        meta_data.deep_merge details["topic_meta_data"]
-      else
-        meta_data
-      end
-
-      documentation = docs_path.join("default", barclamp, "#{topic_meta_data["file"] || id}.md")
-
-      path = parent.dup
-      path.push id
-
-      if documentation.file?
-        title = File.open(
-          documentation,
-          "r"
-        ).readline[/(#*)(.*)/, 2].strip rescue id.humanize
-
-        order = if topic_meta_data["order"].nil?
-          "%06d %s" % [
-            9999,
-            title
-          ]
-        else
-          "%06d %s" % [
-            topic_meta_data["order"].to_i,
-            title
-          ]
-        end
-
-        t = {
-          "id" => id,
-          "title" => title,
-          "file" => documentation.to_s.gsub("#{Rails.root}/", ""),
-          "path" => path,
-          "sort" => order
-        }
-      else
-        t = {
-          "id" => id,
-          "title" => "File is missing",
-          "path" => path,
-          "sort" => "999999"
-        }
-      end
-
-      topic_meta_data.deep_merge! t
-      reference = books
-
-      path.each do |segment|
-        reference["topics"] ||= {}
-        reference["topics"][segment] ||= {}
-
-        reference = reference["topics"][segment]
-      end
-
-      %w(id title path sort).each do |key|
-        topic_meta_data.delete(key) if reference.keys.include? key
-      end
-
-      reference.deep_merge! topic_meta_data
-
-      children = details.reject { |k, v| k == "topic_meta_data" }
-      generate_topics books, meta_data, barclamp, path, children
-
-      sorted = reference["topics"].to_a.sort do |x, y|
-        x.last["sort"] <=> y.last["sort"]
-      end
-
-      reference["topics"] = Hash[sorted]
+    respond_to do |format|
+      format.html
     end
   end
 end
diff --git a/crowbar_framework/app/views/docs/_tree.html.haml b/crowbar_framework/app/views/docs/_tree.html.haml
deleted file mode 100644
index 7d901d6..0000000
--- a/crowbar_framework/app/views/docs/_tree.html.haml
+++ /dev/null
@@ -1,7 +0,0 @@
-- topics.each do |id, topic|
-  %li.list-group-item
-    = link_to topic["title"], topic_docs_path(:id => topic["path"])
-
-    - if topic["topics"]
-      %ul
-        = render :partial => "tree", :locals => { :topics => topic["topics"] }
diff --git a/crowbar_framework/app/views/docs/index.html.haml b/crowbar_framework/app/views/docs/index.html.haml
index 0d083f9..a23f02f 100644
--- a/crowbar_framework/app/views/docs/index.html.haml
+++ b/crowbar_framework/app/views/docs/index.html.haml
@@ -1,12 +1,33 @@
 .row
   .col-xs-12
     %h1.page-header
-      = t(".title")
+      = t('.title')
 
 .panel.panel-default
   .panel-heading
     %h2
-      = t(".index")
+      = t('.deployment_guide')
 
-  %ul.list-group.list-tree
-    = render :partial => "tree", :locals => { :topics => @index["topics"] }
+  %ul.list-group
+    %li.list-group-item
+      = link_to t('.crowbar_deployment'), 'docs/html/book.cloud.deploy.html', :target => "_blank"
+      = surround '(', ')' do
+        = link_to t('.pdf'), 'docs/susecloud-deployment_en.pdf', :target => "_blank"
+
+  .panel-heading
+    %h2
+      = t('.susecloud_guides')
+
+  %ul.list-group
+    %li.list-group-item
+      = link_to t('.crowbar_users'), 'docs/html/book.cloud.user.html', :target => "_blank"
+      = surround '(', ')' do
+        = link_to t('.pdf'), 'docs/susecloud-user_en.pdf', :target => "_blank"
+
+    %li.list-group-item
+      = link_to t('.crobwar_admin'), 'docs/html/book.cloud.admin.html', :target => "_blank"
+      = surround '(', ')' do
+        = link_to t('.pdf'), 'docs/susecloud-admin_en.pdf', :target => "_blank"
+
+    %li.list-group-item
+      = t('.online', :url => 'http://crowbar.github.io').html_safe
diff --git a/crowbar_framework/app/views/docs/show.html.haml b/crowbar_framework/app/views/docs/show.html.haml
deleted file mode 100644
index 3c74ce9..0000000
--- a/crowbar_framework/app/views/docs/show.html.haml
+++ /dev/null
@@ -1,29 +0,0 @@
-.row
-  .col-xs-12
-    %h1.page-header
-      = t(".title")
-
-      %small
-        = t(".details", :date => @topic["date"], :author => @topic["author"])
-
-        .btn-group.pull-right
-          = link_to icon_tag("home"), docs_path, :title => t(".root"), :class => "btn btn-default"
-          = link_to icon_tag("arrow-up"), @parent["path"] ? topic_docs_path(:id => @parent["path"]) : docs_path, :title => t(".parent"), :class => "btn btn-default"
-
-.row
-  .col-xs-8
-    .panel.panel-default
-      - if @markdown
-        = raw @markdown.output
-      - else
-        .alert.alert-danger
-          = t(".parse_failed")
-
-  .col-xs-4
-    .panel.panel-default
-      .panel-heading
-        %h2
-          = t(".index")
-
-      %ul.list-group.list-tree
-        = render :partial => "tree", :locals => { :topics => @index["topics"] }
diff --git a/crowbar_framework/config/locales/crowbar/en.yml b/crowbar_framework/config/locales/crowbar/en.yml
index 8d113ed..e398f18 100644
--- a/crowbar_framework/config/locales/crowbar/en.yml
+++ b/crowbar_framework/config/locales/crowbar/en.yml
@@ -78,11 +78,7 @@ en:
     utils:
       title: 'Utilities'
       logs: 'Exported Items'
-    help:
-      title: 'Help'
-      docs: 'Documentation'
-      crowbar_users: 'Crowbar Users Guide'
-      wiki: 'Online Help'
+    help: 'Help'
 
   layouts:
     application:
@@ -241,17 +237,13 @@ en:
   docs:
     index:
       title: 'Documentation'
-      details: 'Updated at %{date} by %{author}'
-      index: 'Topics'
-
-    show:
-      title: 'Documentation'
-      details: 'Updated at %{date} by %{author}'
-      root: 'Back to index'
-      parent: 'One page up'
-      index: 'Topics'
-      parse_failed: 'Failed to parse the documentation'
-      topic_missing: 'Failed to find the requested topic'
+      deployment_guide: 'Refer to the following deployment guide for details on Crowbar'
+      crowbar_deployment: 'Deployment Guide'
+      susecloud_guides: 'Additional SUSE Cloud specific guides that may be useful'
+      crowbar_users: 'Users guide'
+      crobwar_admin: 'Admin guide'
+      online: 'You can find additional up-to-date information about Crowbar on the <a href="%{url}">project webpage</a>, but do note that it may be for a different version.'
+      pdf: 'PDF'
 
   model:
     node:
-- 
2.3.5


From bb5113d7b5f52067eadf4d38a5fd74b665c82fc9 Mon Sep 17 00:00:00 2001
From: Vincent Untz <vuntz@suse.com>
Date: Mon, 27 Jan 2014 11:59:10 +0100
Subject: [PATCH 4/9] [SUSE] Replaced upstream redirect page with SUSE style

---
 crowbar_framework/index/index.html | 39 ++++++++++++++++++++++++++++++++------
 1 file changed, 33 insertions(+), 6 deletions(-)

diff --git a/crowbar_framework/index/index.html b/crowbar_framework/index/index.html
index 58c71d8..8714493 100644
--- a/crowbar_framework/index/index.html
+++ b/crowbar_framework/index/index.html
@@ -2,7 +2,7 @@
 <html lang="en">
   <head>
     <title>
-      Crowbar: Admin Server
+      SUSE Cloud: Admin Server
     </title>
 
     <meta charset="utf-8" />
@@ -16,6 +16,7 @@
         cursor: default;
         padding-top: 70px;
         padding-bottom: 0;
+
         font-family: "Helvetica Neue", Helvetica, Arial, sans-serif;
         font-size: 14px;
         line-height: 1.42857;
@@ -34,7 +35,16 @@
         padding: 0 20px 20px 20px;
       }
 
+      footer span:first-child:before {
+        content: "";
+      }
+
+      footer span:before {
+        content: " - ";
+      }
+
       a {
+        color: #439539;
         text-decoration: none;
       }
 
@@ -48,13 +58,18 @@
       }
 
       .navbar-inverse .navbar-brand {
-        padding: 15px 15px 12px;
+        padding: 7px 10px;
         color: white;
       }
 
       .navbar-inverse .navbar-brand .title {
         font-size: 21px;
         font-weight: bold;
+        display: block;
+        text-indent: -100000px;
+        background: transparent url('crowbar.png') no-repeat;
+        width: 160px;
+        height: 35px;
       }
 
       .navbar-inverse .navbar-brand .slogan {
@@ -64,6 +79,15 @@
       .navbar-inverse .navbar-nav > li > a {
         color: white;
       }
+
+      .navbar-fixed-top .navbar-collapse {
+        padding-right: 15px;
+        padding-left: 15px;
+      }
+
+      .panel-heading {
+        padding-bottom: 15px;
+      }
     </style>
   </head>
   <body>
@@ -71,7 +95,7 @@
       <div class="container">
         <div class="navbar-header">
           <a href="/" class="navbar-brand dashboard">
-            <span class="title">Crowbar</span>
+            <span class="title">SUSE Cloud Crowbar</span>
           </a>
         </div>
         <div class="navbar-right">
@@ -92,15 +116,18 @@
         <div class="panel-body">
           <p>
             The Crowbar Admin Server is only running on <a class="dashboard" href="http://127.0.0.1:3000/">port 3000</a>. If
-            you still have problems feel free to visit the <a href="http://github.com/crowbar/crowbar/wiki">Crowbar site</a> for
-            more information.
+            you still have problems feel free to visit the <a href="http://www.suse.com/support/">SUSE support site</a> for more
+            information.
           </p>
         </div>
       </div>
 
       <footer>
         <span>
-          Provided by <a href="http://dell.com/cloud" target="_blank">Dell CloudEdge Solutions team</a>
+          <a href="https://www.suse.com/products/suse-cloud/" target="_blank">SUSE Cloud</a>
+        </span>
+        <span>
+          Provided by <a href="https://www.suse.com" target="_blank">SUSE</a>
         </span>
       </footer>
     </div>
-- 
2.3.5


From 4cee89698d39d3f228bc6b6b4d13cbb046dc126a Mon Sep 17 00:00:00 2001
From: Thomas Boerger <tboerger@suse.de>
Date: Wed, 19 Nov 2014 16:26:54 +0100
Subject: [PATCH 5/9] [SUSE] Set cloud version to SUSE Cloud 5

---
 crowbar_framework/config/branding.yml | 2 +-
 crowbar_framework/index/index.html    | 2 +-
 crowbar_framework/public/404.html     | 2 +-
 crowbar_framework/public/422.html     | 2 +-
 crowbar_framework/public/500.html     | 2 +-
 5 files changed, 5 insertions(+), 5 deletions(-)

diff --git a/crowbar_framework/config/branding.yml b/crowbar_framework/config/branding.yml
index 78e01b5..3b5188e 100644
--- a/crowbar_framework/config/branding.yml
+++ b/crowbar_framework/config/branding.yml
@@ -27,7 +27,7 @@ page_slogan: ''
 # SUSE Cloud for example should write something like SUSE Cloud v2.0, whereas
 # Crowbar on Dell side writes Version 0.0.1. The variable CROWBAR_VERSION gets
 # replaced by the environment value.
-version: '<a href="https://www.suse.com/products/suse-cloud/" target="_new">SUSE Cloud</a>'
+version: '<a href="https://www.suse.com/products/suse-cloud/" target="_new">SUSE Cloud 5</a>'
 
 # The provider will get displayed on the footer of crowbar to show who provides
 # this nice project ;-)
diff --git a/crowbar_framework/index/index.html b/crowbar_framework/index/index.html
index 8714493..74d2162 100644
--- a/crowbar_framework/index/index.html
+++ b/crowbar_framework/index/index.html
@@ -124,7 +124,7 @@
 
       <footer>
         <span>
-          <a href="https://www.suse.com/products/suse-cloud/" target="_blank">SUSE Cloud</a>
+          <a href="https://www.suse.com/products/suse-cloud/" target="_blank">SUSE Cloud 5</a>
         </span>
         <span>
           Provided by <a href="https://www.suse.com" target="_blank">SUSE</a>
diff --git a/crowbar_framework/public/404.html b/crowbar_framework/public/404.html
index e75b4cf..01252db 100644
--- a/crowbar_framework/public/404.html
+++ b/crowbar_framework/public/404.html
@@ -61,7 +61,7 @@
 
       <footer>
         <span>
-          <a href="https://www.suse.com/products/suse-cloud/" target="_blank" />SUSE Cloud</a>
+          <a href="https://www.suse.com/products/suse-cloud/" target="_blank" />SUSE Cloud 5</a>
         </span>
         <span>
           Provided by <a href="https://www.suse.com" target="_blank">SUSE</a>
diff --git a/crowbar_framework/public/422.html b/crowbar_framework/public/422.html
index 7c79731..df43acc 100644
--- a/crowbar_framework/public/422.html
+++ b/crowbar_framework/public/422.html
@@ -60,7 +60,7 @@
 
       <footer>
         <span>
-          <a href="https://www.suse.com/products/suse-cloud/" target="_blank" />SUSE Cloud</a>
+          <a href="https://www.suse.com/products/suse-cloud/" target="_blank" />SUSE Cloud 5</a>
         </span>
         <span>
           Provided by <a href="https://www.suse.com" target="_blank">SUSE</a>
diff --git a/crowbar_framework/public/500.html b/crowbar_framework/public/500.html
index 66308e6..2f16a93 100644
--- a/crowbar_framework/public/500.html
+++ b/crowbar_framework/public/500.html
@@ -61,7 +61,7 @@
 
       <footer>
         <span>
-          <a href="https://www.suse.com/products/suse-cloud/" target="_blank" />SUSE Cloud</a>
+          <a href="https://www.suse.com/products/suse-cloud/" target="_blank" />SUSE Cloud 5</a>
         </span>
         <span>
           Provided by <a href="https://www.suse.com" target="_blank">SUSE</a>
-- 
2.3.5


From b15d040e3a5a90c09e418dee6c607912ac3df498 Mon Sep 17 00:00:00 2001
From: Vincent Untz <vuntz@suse.com>
Date: Tue, 3 Feb 2015 17:09:33 +0100
Subject: [PATCH 9/9] [SUSE] Update for new doc packages

---
 crowbar_framework/app/views/docs/index.html.haml | 11 ++++++++---
 crowbar_framework/config/locales/crowbar/en.yml  |  5 +++--
 2 files changed, 11 insertions(+), 5 deletions(-)

diff --git a/crowbar_framework/app/views/docs/index.html.haml b/crowbar_framework/app/views/docs/index.html.haml
index a23f02f..4601b1d 100644
--- a/crowbar_framework/app/views/docs/index.html.haml
+++ b/crowbar_framework/app/views/docs/index.html.haml
@@ -10,7 +10,7 @@
 
   %ul.list-group
     %li.list-group-item
-      = link_to t('.crowbar_deployment'), 'docs/html/book.cloud.deploy.html', :target => "_blank"
+      = link_to t('.crowbar_deployment'), 'docs/deployment/', :target => "_blank"
       = surround '(', ')' do
         = link_to t('.pdf'), 'docs/susecloud-deployment_en.pdf', :target => "_blank"
 
@@ -20,14 +20,19 @@
 
   %ul.list-group
     %li.list-group-item
-      = link_to t('.crowbar_users'), 'docs/html/book.cloud.user.html', :target => "_blank"
+      = link_to t('.crowbar_users'), 'docs/user/', :target => "_blank"
       = surround '(', ')' do
         = link_to t('.pdf'), 'docs/susecloud-user_en.pdf', :target => "_blank"
 
     %li.list-group-item
-      = link_to t('.crobwar_admin'), 'docs/html/book.cloud.admin.html', :target => "_blank"
+      = link_to t('.crowbar_admin'), 'docs/admin/', :target => "_blank"
       = surround '(', ')' do
         = link_to t('.pdf'), 'docs/susecloud-admin_en.pdf', :target => "_blank"
 
     %li.list-group-item
+      = link_to t('.crowbar_supplement'), 'docs/supplement/', :target => "_blank"
+      = surround '(', ')' do
+        = link_to t('.pdf'), 'docs/susecloud-supplement_en.pdf', :target => "_blank"
+
+    %li.list-group-item
       = t('.online', :url => 'http://crowbar.github.io').html_safe
diff --git a/crowbar_framework/config/locales/crowbar/en.yml b/crowbar_framework/config/locales/crowbar/en.yml
index e398f18..92844b8 100644
--- a/crowbar_framework/config/locales/crowbar/en.yml
+++ b/crowbar_framework/config/locales/crowbar/en.yml
@@ -240,8 +240,9 @@ en:
       deployment_guide: 'Refer to the following deployment guide for details on Crowbar'
       crowbar_deployment: 'Deployment Guide'
       susecloud_guides: 'Additional SUSE Cloud specific guides that may be useful'
-      crowbar_users: 'Users guide'
-      crobwar_admin: 'Admin guide'
+      crowbar_users: 'End User Guide'
+      crowbar_admin: 'Admin User Guide'
+      crowbar_supplement: 'Supplement to Admin User Guide and End User Guide'
       online: 'You can find additional up-to-date information about Crowbar on the <a href="%{url}">project webpage</a>, but do note that it may be for a different version.'
       pdf: 'PDF'
 
-- 
2.3.5

